"""Ajout des modèles de candidat⋅es 2024

Revision ID: 9d99f3ea6b66
Revises: 
Create Date: 2024-06-08 13:01:08.629780

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '9d99f3ea6b66'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('bloc2024',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nom', sa.String(length=32), nullable=False),
    sa.Column('couleur', sa.String(length=7), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('nom')
    )
    op.create_table('nuance2024',
    sa.Column('code', sa.String(length=8), nullable=False),
    sa.Column('nom', sa.String(length=32), nullable=False),
    sa.Column('couleur', sa.String(length=7), nullable=False),
    sa.PrimaryKeyConstraint('code'),
    sa.UniqueConstraint('nom')
    )
    op.create_table('liste2024',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nom', sa.String(length=256), nullable=False),
    sa.Column('numero', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('bloc_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['bloc_id'], ['bloc2024.id'], ),
    sa.ForeignKeyConstraint(['nuance_id'], ['nuance2024.code'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('nom'),
    sa.UniqueConstraint('numero')
    )
    op.create_table('candidat2024',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('liste_id', sa.Integer(), nullable=False),
    sa.Column('ordre', sa.Integer(), nullable=False),
    sa.Column('nom', sa.String(length=256), nullable=False),
    sa.Column('prenom', sa.String(length=256), nullable=False),
    sa.Column('sexe', sa.Enum('MASCULIN', 'FEMININ', name='genre'), nullable=False),
    sa.Column('date_naissance', sa.Date(), nullable=False),
    sa.Column('profession', sa.String(length=256), nullable=False),
    sa.Column('code_personnalite', sa.Enum('DEFAUT', 'EURODEPUTE', 'DEPUTE', 'SENATEUR', 'MINISTRE', 'PRESIDENT_CONSEIL_REGIONAL', 'PRESIDENT_CONSEIL_DEPARTEMENTAL', 'MAIRE', name='personnalite'), nullable=False),
    sa.Column('sortant', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['liste_id'], ['liste2024.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('candidat2024')
    op.drop_table('liste2024')
    op.drop_table('nuance2024')
    op.drop_table('bloc2024')
    # ### end Alembic commands ###
